QGIS Application - Bug report #21434
Create SQL-Layer from DB-Manager
2019-03-01 09:41 AM - Michael Otto

Status: Closed
Priority: High
Assignee:

Category: Python plugins

Affected QGIS version:3.6.0
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:

Easy fix?:

Resolution:

Copied to github as #:

No

No
duplicate
29251

Description

| will create a new Layer of a Oracle-Spatial DB by using a SQL-Command in DB-Manager.

The query works. Results are shown in the table.

But when i check "add as new layer" with id and geometry rows defined nothing will happens.

No layer is created and the following error appears on the python-log.

2019-03-01T08:52:39 WARNING Traceback (most recent call last):
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\db_manager\dig_sql_window.py", line 434, in loadSqglLayer

layer = self._getSqlLayer(self filter)

File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\db_manager\dlg_sql_window.py", line 396, in _getSqlLayer

query = self._getSqlExecutableQuery()

AttributeError: 'DigSqlWindow' object has no attribute '_getSqlExecutableQuery'

2019-03-01T08:52:56 WARNING Traceback (most recent call last):
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\db_manager\dig_sql_window.py", line 628, in setFilter

layer = self._getSqlLayer(")

File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\db_manager\dig_sql_window.py", line 396, in _getSqlLayer

query = self._getSqlExecutableQuery()

AttributeError: 'DIgSqlWindow' object has no attribute '_getSqlExecutableQuery’

Related issues:

Duplicates QGIS Application - Bug report # 21353: Query from DB Manager SQL w...

Closed 2019-02-22

History

#1 - 2019-03-01 09:43 AM - Alessandro Pasotti

- Duplicates Bug report #21353: Query from DB Manager SQL window no longer loads as new layer added

#2 - 2019-03-01 09:43 AM - Alessandro Pasotti
- Resolution set to duplicate
- Status changed from Open to Closed
